<!doctype html>
<html xmlns:th="http://www.thymeleaf.org">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">
    <link rel="icon" href="favicon.ico">

    <title>EmpleosApp | Creación de Ofertas de Trabajo</title>
    <!-- Bootstrap core CSS -->
    <link th:href="@{/bootstrap/css/bootstrap.min.css}" rel="stylesheet">
    <!-- Custom styles for this template -->
    <link th:href="@{/bootstrap/css/jumbotron.css}" rel="stylesheet">
    <link th:href="@{bootstrap/css/sticky-footer-navbar.css}" rel="stylesheet">
    <link href="https://code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css" rel="stylesheet" >
    
    <!-- EditorHtml para textarea de Detalles -->
    <script src="https://cloud.tinymce.com/stable/tinymce.min.js"></script> 
  </head>

  <body>

    <!-- HEADER -->
	<header th:insert="fragments/menu :: menu-principal"></header>

    <main role="main">     
      <hr>
      <div class="container"> 
		
        <div class="card">
          <h4 class="card-header"><strong>Datos de la oferta de trabajo</strong></h4>              
          <div class="card-body">
          	
          	 
          	<!-- Recibimos del controlador el objeto Vacante. 
          	     Esto es para vincular errores de BindingResult en la vista.
          	     th:object es para vincular el FORM con el objeto de modelo.  
          	-->
            <form th:action="@{/vacantes/save}" method="post" th:object="${vacante}" enctype="multipart/form-data"> 
            
	            <!-- Esto es para mostrar los errores de BindingResult provenientes del controlador. -->
	          	<div th:if = "${#fields.hasErrors('*')}" class="alert alert-danger" role="alert">
	          		Por favor corrija los siguientes errores:
		          	<ul>
		          		<li th:each = "err : ${#fields.errors('*')}" th:text = "${err}"/>
		          	</ul>
	          	</div>
	          	             
              <div class="row">
                <div class="col-md-3"> 
                  <div class="form-group">
                    <label for="nombre">Nombre</label>
                    
                    <!-- 
                    	VINCULAMOS Y ENVIAMOS EL ID E IMAGEN DE LA VACANTE QUE EDITAREMOS. 
                    	SI OMITIMOS EL ID, ENTONCES SE GUARDARA UNA VACANTE NUEVA Y NO LA EDITAREMOS.
                    	SI OMITIMOS LA IMAGEN, ENTONCES TOMARA LA IMAGEN POR DEFECTO EN CASO QUE NO LA EDITEMOS.
                    -->
                    <input type="hidden" th:field = "*{id}">
                    <input type="hidden" th:field = "*{imagen}">
                    
                    <!-- TH:FIELD VINCULA INPUTS DEL FORMULARIO CON PROPIEDADES DEL MODELO. --> 
                    <input type="text" class="form-control" th:field = "*{nombre}" id="nombre" name="nombre" placeholder="Titulo de la oferta de trabajo" required="required">
                 
                  </div>
                </div>
                <div class="col-md-9"> 
                  <div class="form-group">
                    <label for="descripcion">Descripción</label>
                    
                    <!-- TH:FIELD VINCULA INPUTS DEL FORMULARIO CON PROPIEDADES DEL MODELO. --> 
                    <input type="text" class="form-control" th:field = "*{descripcion}" id="descripcion" name="descripcion" placeholder="Breve descripcion de la oferta de trabajo" required="required">
                  
                  </div> 
                </div>    
              </div>    
              <div class="row">
                <div class="col-md-3"> 
                  <div class="form-group">
                    <label for="categoria">Categoría</label>
                    
                    <!-- Vinculamos select con objeto Categoria, con alguna propiedad de ese objeto. 
                    	 El select envia un integer, por eso vinculamos con el id de categoria -->
                    <select class="form-control" th:field="*{categoria.id}" name="categoria" id="categoria">
                      <option 
                      	th:each = "item : ${categorias}" 
                   		th:value="${item.id}" 
                      	th:text="${item.nombre}">
                      </option>
                    </select>
                    
                  </div>
                </div>

                <div class="col-md-3"> 
                  <div class="form-group">
                    <label for="estatus">Estatus</label>
                    
                    <!-- TH:FIELD VINCULA INPUTS DEL FORMULARIO CON PROPIEDADES DEL MODELO. --> 
                    <select class="form-control" th:field = "*{estatus}" name="estatus" id="estatus">
					  <option value="Creada">Creada</option>
                      <option value="Aprobada">Aprobada</option>
                      <option value="Eliminada">Eliminada</option>	
                    </select>
                  
                  </div>
                </div>
                <div class="col-md-3"> 
                  <div class="form-group">
                    <label for="fecha">Fecha de Publicación</label>
                    
                    <!-- TH:FIELD VINCULA INPUTS DEL FORMULARIO CON PROPIEDADES DEL MODELO. --> 
                    <input type="text" class="form-control" th:field = "*{fecha}" name="fecha" id="fecha" placeholder="Fecha de publicacion" required="required">
                  
                  </div>  
                </div>
                <div class="col-md-3"> 
                  <div class="form-check">
                    <label class="form-check-label" for="destacado0"></label><br>
                    
                    <!-- TH:FIELD VINCULA INPUTS DEL FORMULARIO CON PROPIEDADES DEL MODELO. --> 
                    <input class="form-check-input" type="radio" th:field = "*{destacado}" name="destacado" id="destacado" value="1" checked="checked">
                    
                    <label class="form-check-label" for="destacado1">Destacado</label>
                  </div>
                  <div class="form-check">
                   	
                   	<!-- TH:FIELD VINCULA INPUTS DEL FORMULARIO CON PROPIEDADES DEL MODELO. --> 
                    <input class="form-check-input" type="radio" th:field = "*{destacado}" name="destacado" id="destacado" value="0">
                    
                    <label class="form-check-label" for="destacado2">No Destacado</label>
                  </div>
                </div>
              </div>    
              <div class="row">
                <div class="col-md-3"> 
                  <div class="form-group">
                    <label for="salario">Salario Ofrecido (Aprox)</label>
                    
                    <!-- TH:FIELD VINCULA INPUTS DEL FORMULARIO CON PROPIEDADES DEL MODELO. --> 
                    <input type="text" class="form-control" th:field = "*{salario}" name="salario" id="salario" placeholder="Salario aproximado." required="required">
                  
                  </div>
                </div>
                <div class="col-md-3"> 
                  <div class="form-group">
                    <label for="archivoImagen">Imagen</label>
                    <input type="file" class="form-control-file" name="archivoImagen" id="archivoImagen">
                  </div>
                </div>
              </div> 
              <hr>
              <div class="row">
                <div class="col-md-9"> 
                  <div class="form-group">
                    <label for="detalles"><strong>Detalles</strong></label>
                    
                    <!-- TH:FIELD VINCULA INPUTS DEL FORMULARIO CON PROPIEDADES DEL MODELO. -->          
                    <textarea class="form-control" th:field = "*{detalles}" name="detalles" id="detalles" rows="7"></textarea>
                  
                  </div> 
                </div>
                <!-- Obtenemos imagen del objeto vacante a editar. -->  
                <div class="col-md-3">
                  <label for="imagen">Imagen/Logo Actual</label>
                  <img class="rounded mx-auto d-block" th:src="@{/images/{img} ( img = ${vacante.imagen} )}" alt="Generic placeholder image" width="200" height="200">            
                </div>
                
              </div> 
              <button type="submit" class="btn btn-primary">Guardar</button>  
            </form>
          </div>
        </div>
      </div> <!-- /container -->

    </main>

    <!-- FOOTER -->
    <footer class="footer" th:insert="fragments/footer:: pie-pagina"></footer>

    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script> 
    <script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
	<script th:src="@{/bootstrap/js/bootstrap.min.js}"></script>    
    <script th:src="@{tinymce/tinymce.min.js}"></script>
    <script>
      
      $(function () {
          $("#fecha").datepicker({dateFormat: 'dd-mm-yy'});
        }
      );
      
      //Activamos plugin Tinymce para el textarea Detalles
      tinymce.init({
          selector: '#detalles',
          plugins: "textcolor, table lists code",
          toolbar: " undo redo | bold italic | alignleft aligncenter alignright alignjustify \n\
                    | bullist numlist outdent indent | forecolor backcolor table code"
      });
      
    </script>
  </body>
</html>